## lilypond-0.1.44.tar.gz

=== Documentation/Makefile ===
# Documentation/Makefile

# subdir level:
#
depth = ..
#

# identify module:
#
NAME = Documentation

#

# generic variables:
#
include ./$(depth)/make/Variables.make 
include ./$(depth)/make/Version.make
include ./$(depth)/make/Files.make 
include ./Rules.make
#


#
DOCFILES = $(wildcard *.doc)
OUTPODFILES = $(addprefix $(outdir)/,$(PODFILES))
TEXTFILES = $(OUTPODFILES:.pod=.txt)
GROFFFILES = $(OUTPODFILES:.pod=.1)
HTMLFILES = $(OUTPODFILES:.pod=.html)
DVIFILES = $(addprefix $(outdir)/, $(DOCFILES:.doc=.dvi))


default: do-doc
#
# list of distribution files:
#
XPMS=$(wildcard *.xpm)
giffiles=$(XPMS:.xpm=.gif)

gifs: $(addprefix $(outdir)/, $(giffiles))


EXTRA_DISTFILES = $(XPMS)  $(DOCFILES)  vocabulary-data vocabulary-forms.el 

# don't do DVI files. They can only be made if lily is installed
do-doc: $(TEXTFILES)

html: $(HTMLFILES)

htmldist: html
	$(lily_bindir)/make_website

dvi: $(DVIFILES)

# generic targets and rules:
#
include $(depth)/make/Targets.make
include $(depth)/make/Rules.make
#

localclean:
	rm -f `find $(outdir)`



MAN1FILES = lilypond convert-mudela mi2mu mudela-book
MAN1GROFF = $(addprefix $(outdir)/, $(addsuffix .1,$(MAN1FILES)))

localinstall: $(outdir)/lilypond.1
	$(INSTALL) -d $(mandir)/man1
	$(INSTALL) -m 644 $(MAN1GROFF) $(mandir)/man1


localuninstall:
	(cd  $(mandir)/man1/; rm -f $(MAN1GROFF))

=== debian/changelog ===
lilypond (0.1.39-2) unstable; urgency=low

  * debian/control:
     - Description: Remove the note about installing musixtex or
       musixtex-fonts.
     - Added "Conflicts: musixtex-fonts".

 -- Anthony Fok <foka@debian.org>  Tue,  6 Jan 1998 02:42:56 -0700

lilypond (0.1.39-1) unstable; urgency=low

  * New upstream LilyPond '98 "New Year Gift" release.
  * debian/control:
     - No longer Recommends: "musixtex" or "musixtex-fonts" because
       LilyPond no longer needs them.
     - Therefore, Section: is changed from "contrib/tex" to "tex".
       LilyPond can finally go into the main distribution.  Hurray!
  * debian/rules: Now also dh_installdocs ANNOUNCE-0.1 and ONEWS.
  * preinst, postinst, postrm: Added #DEBHELPER#.
  * preinst, postrm: Changed #!/bin/bash to #!/bin/sh.

 -- Anthony Fok <foka@debian.org>  Mon,  5 Jan 1998 18:42:30 -0700

lilypond (0.1.38-1) unstable; urgency=low

  * New upstream Xmas release.
  * Applied patch patch-0.1.38.jcn1 from Jan Nieuwenhuizen.
  * Have fun, Merry Christmas and a Happy 1998. -- Han-Wen Nienhuys

 -- Anthony Fok <foka@debian.org>  Wed, 24 Dec 1997 16:38:14 -0700

lilypond (0.1.37-1) unstable; urgency=low

  * New upstream release
  * Minor modifications to debian/rules due to changes in
    debhelper 0.32.

 -- Anthony Fok <foka@debian.org>  Fri, 12 Dec 1997 11:11:12 -0700

lilypond (0.1.36-1) unstable; urgency=low

  * New upstream release

 -- Anthony Fok <foka@debian.org>  Tue,  9 Dec 1997 18:33:50 -0700

lilypond (0.1.35-1) unstable; urgency=low

  * New upstream release

 -- Anthony Fok <foka@debian.org>  Fri,  5 Dec 1997 21:06:31 -0700

lilypond (0.1.34-1) unstable; urgency=low

  * New upstream release

 -- Anthony Fok <foka@debian.org>  Thu,  4 Dec 1997 19:42:22 -0700

lilypond (0.1.33-1) unstable; urgency=low

  * New upstream release
  * Changed my maintainer e-mail address to <foka@debian.org>.  :)

 -- Anthony Fok <foka@debian.org>  Tue, 25 Nov 1997 00:22:57 -0700

lilypond (0.1.32-2) unstable; urgency=low

  * Commented out run_texhash() in postinst by mistake.  Fixed.

 -- Anthony Fok <foka@gpu.srv.ualberta.ca>  Sun, 23 Nov 1997 03:04:29 -0700

lilypond (0.1.32-1) unstable; urgency=low

  * New upstream release
  * Applied a small fix to postinst.  The font-entries-search-and-replace
    add_fonts() subroutine was slightly buggy.
  * Unpatched ./configure.  It turned out that I spelt "--enable-optimise"
    as "--enable-optimize" in debian/rules by mistake.  Oops!  :)  Thanks
    to the upstream author for pointing this out!  :)
  * The upstream authors has included the ./debian/* files in the pristine
    source archive!  They also fixed some minor errors in README.debian
    and copyright.  Thanks a lot!  :)
  * Removed the line "dh_clean" from "binary-arch:" and switched the order
    of dh_clean in "clean:" in debian/rules.  dh_clean was deleting
    the zero-byte file ./make/out/Site.make, causing the build to fail.

 -- Anthony Fok <foka@gpu.srv.ualberta.ca>  Sun, 23 Nov 1997 01:39:31 -0700

lilypond (0.1.29-1) unstable; urgency=low

  * New upstream release
  * Patched ./configure in source package to make c++ use the -O2 -g options
    on all the files.  Now, /usr/bin/lilypond is a lot leaner!  <smile>
    (I will discuss it with the upstream author.)
  * Adapted postinst (a Perl script) from the musixtex package for lilypond.
    Now postinst adds the new LilyPond font entries into
    /usr/lib/texmf/fontname/special.map.
  * Added preinst to clean up my mess from previous releases: the old
    "stray" automatically generated TFM and PK font files were placed in
    the wrong directories because they were not listed in
    /usr/lib/texmf/fontname/special.map.
  * Did some minor clean-up in debian/rules and switched to debhelper.
  * Updated Standards-Version to 2.3.0.1

 -- Anthony Fok <foka@gpu.srv.ualberta.ca>  Tue, 11 Nov 1997 02:31:33 -0700

lilypond (0.1.25-1) unstable; urgency=low

  * Added a note in README.debian about the possibility of some LilyPond
    fonts not showing up after an upgrade, and a possible solution to this
    problem.
  * New upstream release

 -- Anthony Fok <foka@gpu.srv.ualberta.ca>  Thu, 23 Oct 1997 17:00:14 -0600

lilypond (0.1.24-1) unstable; urgency=low

  * New upstream release

 -- Anthony Fok <foka@gpu.srv.ualberta.ca>  Tue, 21 Oct 1997 04:12:01 -0600

lilypond (0.1.23-1) unstable; urgency=low

  * New upstream release

 -- Anthony Fok <foka@gpu.srv.ualberta.ca>  Thu, 16 Oct 1997 02:15:55 -0600

lilypond (0.1.22-1) unstable; urgency=low

  * New upstream release

 -- Anthony Fok <foka@gpu.srv.ualberta.ca>  Mon, 13 Oct 1997 23:51:01 -0600

lilypond (0.1.21-1) unstable; urgency=low

  * New upstream release

 -- Anthony Fok <foka@gpu.srv.ualberta.ca>  Thu,  9 Oct 1997 22:58:26 -0600

lilypond (0.1.18.jcn1-1) unstable; urgency=low

  * New upstream release

 -- Anthony Fok <foka@gpu.srv.ualberta.ca>  Sat,  4 Oct 1997 03:48:45 -0600

lilypond (0.1.17-1) unstable; urgency=low

  * New upstream release
  * Remove redundancy in package's description (Fixed bug #12511)
  * Added a note about the new LilyPond MF fonts which are not yet listed
    in the current standard special.map (in the teTeX package)
  * Added SHELL=/bin/bash to debian/rules because I use bashism. <smile>

 -- Anthony Fok <foka@gpu.srv.ualberta.ca>  Sun, 28 Sep 1997 01:41:15 -0600

lilypond (0.1.12-1) unstable; urgency=low

  * New upstream release
  * Updated the mailing address of the Free Software Foundation
    listed in /usr/doc/lilypond/copyright
  * Updated Standards-Version to 2.3.0.0
  * Built with debmake 3.3.14 and fakeroot 0.0-9 <grin>

 -- Anthony Fok <foka@gpu.srv.ualberta.ca>  Sun,  7 Sep 1997 23:00:53 -0600

lilypond (0.1.9-1) unstable; urgency=low

  * New upstream release

 -- Anthony Fok <foka@gpu.srv.ualberta.ca>  Mon, 18 Aug 1997 15:14:24 -0600

lilypond (0.1.7-1) unstable; urgency=low

  * New upstream release

 -- Anthony Fok <foka@gpu.srv.ualberta.ca>  Thu, 14 Aug 1997 15:18:40 -0600



=== debian/control ===
Source: lilypond
Section: tex
Priority: optional
Maintainer: Anthony Fok <foka@debian.org>
Standards-Version: 2.3.0.1

Package: lilypond
Architecture: any
Depends: ${shlibs:Depends}
Recommends: tetex-base
Conflicts: musixtex-fonts
Description: A music typesetting program.
 GNU LilyPond is a program which converts a music-script (mudela) into TeX
 output, or MIDI to produce multi-staff scores. Features include multiple
 meters, clefs, keys, lyrics, versatile input-language, cadenzas beams,
 slurs, triplets, multiple voices.
 .
  URL: http://www.stack.nl/~hanwen/lilypond/
  Authors: Han-Wen Nienhuys <hanwen@stack.nl>
           Jan Nieuwenhuizen <jan@digicash.com>
